Skip to main content
POST
/
policies
/
{policyId}
/
signature
Generate signature request for a policy.
curl --request POST \
  --url https://api.example.com/policies/{policyId}/signature \
  --header 'Content-Type: application/json' \
  --data '
{
  "deliveryMode": "EMAIL",
  "signPolicy": true
}
'
{ "id": "<string>", "signers": [ { "customerId": "<string>", "url": "<string>" } ] }

Path Parameters

policyId
string
required

the policy id

Query Parameters

whenAt
string

Optional: the whenAt datetime

branchId
string

Optional: the branchId

Body

application/json
deliveryMode
enum<string>
required

the delivery mode

Available options:
EMAIL,
URL
signPolicy
boolean
default:true

Do we want to sign the policy ? If yes, its signs all those documents at the same time.

Response

id
string
required

the signature id

signers
object[]
required

the signers